Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemAttribute

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.ItemAttribute

Deprecated

    @Deprecated
    public class ItemAttribute

extends Object

Specifies a queryable attribute of an item to be used in the form:

Field Summary
`static ItemAttribute` | `ALL` Deprecated
`static ItemAttribute` | `CATEGORY` Deprecated
`static String` | `cName` Deprecated
`static int` | `I_ALL` Deprecated
`static int` | `I_CATEGORY` Deprecated
`static int` | `I_SKU` Deprecated
`static String` | `S_ALL` Deprecated
`static String` | `S_CATEGORY` Deprecated
`static String` | `S_SKU` Deprecated
`static ItemAttribute` | `SKU` Deprecated

Method Summary
`boolean` | `equals(Object object)` Deprecated
`int` | `getInt()` Deprecated
`static ItemAttribute` | `getObject(String token)` Deprecated
`String` | `getString()` Deprecated
`int` | `hashCode()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

### I_SKU

    public static final int I_SKU

  Deprecated
  See Also
    Constants Summary

### I_CATEGORY

    public static final int I_CATEGORY

  Deprecated
  See Also
    Constants Summary

### I_ALL

    public static final int I_ALL

  Deprecated
  See Also
    Constants Summary

### SKU

    public static final ItemAttribute SKU

  Deprecated

### CATEGORY

    public static final ItemAttribute CATEGORY

  Deprecated

### ALL

    public static final ItemAttribute ALL

  Deprecated

### S_SKU

    public static final String S_SKU

  Deprecated
  See Also
    Constants Summary

### S_CATEGORY

    public static final String S_CATEGORY

  Deprecated
  See Also
    Constants Summary

### S_ALL

    public static final String S_ALL

  Deprecated
  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated

### getInt

    public int getInt()

  Deprecated

### getObject

    public static ItemAttribute getObject(String token)

  Deprecated

### equals

    public boolean equals(Object object)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.